Bug 205551 - internal error in printf_command
internal error in printf_command
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 01:03 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: gdb-6.5-8.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-23 10:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preliminary patch (1.34 KB, patch)
2006-09-10 13:24 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2006-09-07 01:03:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):
printf "%p", 0 causes the internal error.

How reproducible:
always

Steps to Reproduce:
1.run gdb
2.printf "%p", 0
3.
  
Actual results:
internal error in printf_command

Expected results:
should shows something without the internal error.

Additional info:
it works on FC5's gdb and gdb 6.4.
Comment 1 Jan Kratochvil 2006-09-10 13:24:03 EDT
Created attachment 135935 [details]
Preliminary patch

Thanks for the bugreport, present upstream, attaching preliminary patch before
it gets committed.
Comment 2 Jan Kratochvil 2006-09-23 10:43:32 EDT
Comment on attachment 135935 [details]
Preliminary patch

Patch portability bugfixed in RawHide gdb-6.5-8.fc6.

Note You need to log in before you can comment on or make changes to this bug.